Package org.eclipse.m2m.atl.emftvm.trace.impl

## Class TraceElementImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.trace.impl.TraceElementImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `TraceElement`

Direct Known Subclasses:
  `SourceElementImpl`, `TargetElementImpl`

    public abstract class TraceElementImpl
    extends org.eclipse.emf.ecore.impl.EObjectImpl
    implements TraceElement

An implementation of the model object 'Element'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected java.lang.String` `name` The cached value of the '`Name`' attribute.
`protected static java.lang.String` `NAME_EDEFAULT` The default value of the '`Name`' attribute.
`protected org.eclipse.emf.ecore.EObject` `object` The cached value of the '`Object`' reference.
`protected static java.lang.Object` `RUNTIME_OBJECT_EDEFAULT` The default value of the '`Runtime Object`' attribute.
`protected java.lang.Object` `runtimeObject` The cached value of the '`Runtime Object`' attribute.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `TraceElementImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.ecore.EObject` `basicGetObject()`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset​(int featureID)`
`java.lang.String` `getName()`
`org.eclipse.emf.ecore.EObject` `getObject()`
`java.lang.Object` `getRuntimeObject()`
`void` `setName​(java.lang.String newName)`
`void` `setObject​(org.eclipse.emf.ecore.EObject newObject)`
`void` `setRuntimeObject​(java.lang.Object newRuntimeObject)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Field Detail

#### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

The default value of the '`Name`' attribute.

See Also:
  `getName()`

#### name

    protected java.lang.String name

The cached value of the '`Name`' attribute.

See Also:
  `getName()`

#### object

    protected org.eclipse.emf.ecore.EObject object

The cached value of the '`Object`' reference.

See Also:
  `getObject()`

#### RUNTIME_OBJECT_EDEFAULT

    protected static final java.lang.Object RUNTIME_OBJECT_EDEFAULT

The default value of the '`Runtime Object`' attribute.

See Also:
  `getRuntimeObject()`

#### runtimeObject

    protected java.lang.Object runtimeObject

The cached value of the '`Runtime Object`' attribute.

See Also:
  `getRuntimeObject()`

### Constructor Detail

#### TraceElementImpl

    protected TraceElementImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `TraceElement`
Returns:
  the value of the 'Name' attribute.
See Also:
  `TraceElement.setName(String)`, `TracePackage.getTraceElement_Name()`

#### setName

    public void setName​(java.lang.String newName)

Specified by:
  `setName` in interface `TraceElement`
Parameters:
  `newName` - the new value of the 'Name' attribute.
See Also:
  `TraceElement.getName()`

#### getObject

    public org.eclipse.emf.ecore.EObject getObject()

Specified by:
  `getObject` in interface `TraceElement`
Returns:
  the value of the 'Object' reference.
See Also:
  `TraceElement.setObject(EObject)`, `TracePackage.getTraceElement_Object()`

#### basicGetObject

    public org.eclipse.emf.ecore.EObject basicGetObject()

#### setObject

    public void setObject​(org.eclipse.emf.ecore.EObject newObject)

Specified by:
  `setObject` in interface `TraceElement`
Parameters:
  `newObject` - the new value of the 'Object' reference.
See Also:
  `TraceElement.getObject()`

#### getRuntimeObject

    public java.lang.Object getRuntimeObject()

Specified by:
  `getRuntimeObject` in interface `TraceElement`
Returns:
  the value of the 'Runtime Object' attribute.
See Also:
  `TraceElement.setRuntimeObject(Object)`, `TracePackage.getTraceElement_RuntimeObject()`

#### setRuntimeObject

    public void setRuntimeObject​(java.lang.Object newRuntimeObject)

Specified by:
  `setRuntimeObject` in interface `TraceElement`
Parameters:
  `newRuntimeObject` - the new value of the 'Runtime Object' attribute.
See Also:
  `TraceElement.getRuntimeObject()`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`